{% extends 'dashboard/_layout/layout_dashboard_v2.html.twig' %}

{% block title %}Contacts {{ parent() }}{% endblock %}

{% block content %}
    <div class="container-fluid">
        <div class="row mx-5 pt-4">
            <div class="col-12">
                <div class="row align-items-center mb-4">
                    <div class="col">
                        <h4 class="mt-0 text-dark font-weight-bold">Contacts</h4>
                    </div><!--end col-->
                    <div class="col-auto">
                        <button type="button" class="btn btn-primary px-3 py-1" data-toggle="modal"
                                data-target="#createContactModal">
                            <i class="las la-user-plus"></i> Add Contact</button>
                    </div>
                </div>  <!--end row-->
            </div>

            {% embed 'dashboard/_component/flash_v2.html.twig' with {'classes':'col-12 mb-1'} %}{% endembed %}

            <div class="col-12">
                <div class="card shadow-none border-0 border-radius-10">
                    <div class="card-body p-0 border-bottom">
                        <form class="form-inline p-3 border-radius-10">
                            <div class="form-group">
                                <label for="inputPassword2" class="sr-only">Search</label>
                                <input type="search" class="form-control form-control-sm" id="inputPassword2" placeholder="Search...">
                            </div>
                            <div class="form-group mx-sm-3">
                                <label for="status-select" class="mr-2">Sort By</label>
                                <select class=" form-control  form-control-sm" id="status-select">
                                    <option selected="">All</option>
                                    <option value="1">Hot</option>
                                    <option value="2">Cold</option>
                                    <option value="3">In Progress</option>
                                    <option value="4">Lost</option>
                                    <option value="5">Won</option>
                                </select>
                            </div>
                            <button type="button" class="btn btn-soft-primary btn-sm">
                                <i class="fas fa-search mr-1"></i>search
                            </button>
                        </form>
                    </div>

                    <div class="card-body">
                        <div class="row">
                            <div class="col-12 align-self-end">
                                <div class="timer-data">
                                    <div class="table-responsive browser_users">
                                        {% if contacts | length > 0 %}
                                            <table class="table table-hover mb-0">
                                                <caption>List of contacts ({{ contacts | length }})</caption>
                                                <thead class="thead-light">
                                                <tr>
                                                    <th scope="col">Full Name</th>
                                                    <th scope="col">Email</th>
                                                    <th scope="col">Phone</th>
                                                    <th scope="col">Lists</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                {% for key, contactData in contacts %}
                                                    {% set contact = contactData.contact %}
                                                    {% set groups = contactData.lists %}
                                                    <tr class="row-link" data-href="{{ path('app_dashboard_contact_edit', {contactId: contact.contactId.encode}) }}">
                                                        <td>
                                                            <b>{{ contact.fullName }}</b>
                                                        </td>
                                                        <td>
                                                            <i class="mdi mdi-at mr-1 text-dark"></i>
                                                            {{ contact.emailAddress }}
                                                        </td>
                                                        <td>
                                                            <i class="dripicons-phone mr-2 text-dark"></i>{% if contact.phoneNumber | length == 0 %}n/a{% else %}{{ contact.phoneNumber }}{% endif %}
                                                        </td>
                                                        <td>
                                                            {% for list in groups %}
                                                                <span class="badge badge-light"><a
                                                                            href="{{ path('app_dashboard_contact_list', {'listId': list.groupId.serialize}) }}">{{ list.name }}</a></span>
                                                            {% endfor %}
                                                        </td>
                                                    </tr>
                                                {% endfor %}
                                                </tbody>
                                            </table><!--end /table-->
                                        {% else %}
                                            {% if isSearching == false %}
                                                <div class="mt-3 pb-4 col-md-3 text-center mx-auto text-muted">

                                                    <img src="{{ asset('assets/reavant/images/contact/icon-contacts-empty.png') }}"
                                                         class="col-md-6 mb-4 img"/>

                                                    <h6>You do not have any contacts</h6>

                                                    Add or import new contacts by clicking the "Import" button or "Add a
                                                    contact" button at the top
                                                    right of
                                                    the screen.
                                                </div>
                                            {% else %}
                                                <div class="mt-3 col-md-12 text-center mx-auto rounded bg-light pt-5 pb-3">

                                                    <div class="mb-3">
                                                        <b>You have no contacts that match your search conditions</b>
                                                    </div>

                                                    <p><a href="{{ path('app_dashboard_contact_list') }}">View all contacts
                                                            instead</a></p>
                                                </div>
                                            {% endif %}
                                        {% endif %}
                                    </div><!--end /div-->
                                </div>
                            </div><!--end col-->
                        </div><!--end row-->
                    </div><!--end card-body-->
                </div><!--end card-->
            </div>
        </div>
    </div>
{% endblock %}

{% block modals %}
    {{ parent() }}

    <!-- Modal Create Contact -->
    <div class="modal fade" id="createContactModal" tabindex="-1" role="dialog"
         aria-labelledby="createContactModalLabel"
         aria-hidden="true">
        <div class="modal-dialog" role="document">
            {{ form_start(formCreateContact) }}
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="createContactModalLabel">Create a contact</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    {{ form_rest(formCreateContact) }}
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-primary">Create Contact</button>
                </div>
            </div>
            {{ form_end(formCreateContact) }}
        </div>
    </div>

    <!-- Modals Delete Contact -->
    {% for contactData in contacts %}
        {% set contact = contactData.contact %}
        <div class="modal fade" id="deleteContact_{{ contact.contactId }}_Modal" tabindex="-1" role="dialog"
             aria-labelledby="deleteContact_{{ contact.contactId }}_ModalLabel"
             aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="deleteContact_{{ contact.contactId }}_ModalLabel">Delete a
                            contact</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="alert custom-alert custom-alert-warning icon-custom-alert alert-secondary-shadow fade show"
                             role="alert">
                            <i data-feather="alert-triangle"
                               class="icon-dual alert-icon text-warning align-self-center mr-3"></i>
                            <div class="alert-text my-1">
                                Are you sure you want to delete this contact? Your action cannot be undone.
                            </div>
                        </div>
                        <div class="border-top py-3 mt-4">
                            <p><span class="font-weight-bold">The following contact will be deleted:</span></p>

                            {{ contact.emailAddress }}
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <a href="{{ path('app_dashboard_contact_delete', {contactId: contact.contactId.encode}) }}"
                           class="btn btn-danger">Delete</a>
                    </div>
                </div>
            </div>
        </div>
    {% endfor %}

{% endblock %}